Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Interface NodeHandler

All Known Implementing Classes:
  ElementHandler, XSLTemplate

public interface NodeHandler

This abstract class defines the node handler interface used by SAXON. This is used to handle all kinds of nodes: elements, character data, and attributes

Method Summary
`boolean` | `needsStackFrame()` Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters
`void` | `start(NodeInfo node, Context context)` Define action to be taken at the start of a node. This method must be implemented in a subclass.

Method Detail

### start

    public void start(NodeInfo node,
                      Context context)
               throws TransformerException

  Define action to be taken at the start of a node.
  This method must be implemented in a subclass.

  Parameters:
    `node` - The NodeInfo object for the current node.
  Throws:
    `SAXException` - Aborts the parse
    `TransformerException`
  See Also:
    `NodeInfo`

### needsStackFrame

    public boolean needsStackFrame()

  Optimization hint to allow a handler to declare that it needs no stack space for local variables and parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD